Name: g-wrap
Version: 1.3.4
Release: alt1

Summary: A utility for automatically generating glue code to export C libraries to Guile Scheme and RScheme. 
Summary(ru_RU.KOI8-R):     glue   C-  Guile Scheme  RScheme. 
Copyright: LGPL
URL: http://www.gnucash.org
Group: System/Libraries

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: ftp://ftp.gnucash.org/pub/g-wrap/%name-%version.tar.bz2

Requires: guile
Requires: lib%name = %version-%release

# Automatically added by buildreq on Sat Dec 14 2002
BuildRequires: XFree86-devel glib-devel glibc-devel-static gnome-guile-devel gtk+-devel guile-devel umb-scheme

%description
g-wrap is a tool for specifying types, functions, and constants to
import into a Scheme interpreter, and for generating code (in C) to
interface these to the Guile and RScheme interpreters in particular.

%description -l ru_RU.KOI8-R
g-wrap -     ,   ,
      Scheme     ( C)
   ,  ,   Guile  RScheme.


%package -n lib%{name}
Group:	Development/C
Summary: Libraries for g-wrap used by gnucash
Summary(ru_RU.KOI8-R):   g-wrap,  gnucash

%description -n lib%{name}
g-wrap is a tool for specifying types, functions, and constants to
import into a Scheme interpreter, and for generating code (in C) to
interface these to the Guile and RScheme interpreters in particular.

%description -n lib%{name} -l ru_RU.KOI8-R
g-wrap -     ,   ,
      Scheme     ( C)
   ,  ,   Guile  RScheme.

%package -n lib%name-devel
Group:	Development/C
Summary: Header files for g-wrap used by gnucash
Summary(ru_RU.KOI8-R):    g-wrap,  gnucash
Provides: %name-devel
Obsoletes: %name-devel
Requires: lib%name = %version-%release

%description -n lib%name-devel
Header files needed to compile gnucash

%description -n lib%name-devel -l ru_RU.KOI8-R
 ,    gnucash

%package -n lib%name-devel-static
Group:	Development/C
Summary: Static files  for g-wrap used by gnucash
Summary(ru_RU.KOI8-R):    g-wrap,  gnucash
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Static libs needed to compile gnucash

%description -n lib%name-devel-static -l ru_RU.KOI8-R
 ,    gnucash

%prep
%setup -q

for i in Makefile.in test/Makefile.in; do
	%__subst 's|-Werror||' $i
done

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --without-warnings
make

%install
make install prefix=$RPM_BUILD_ROOT%{_prefix}


%post -n lib%name
/sbin/ldconfig -n %_libdir

%postun -n lib%name
/sbin/ldconfig -n %_libdir

%files -n lib%name-devel
%_bindir/g-wrap-config
%_includedir/%name/*.h
%_libdir/*.so
/usr/share/aclocal/g-wrap.m4

%files -n lib%name-devel-static
%_libdir/*.a

%files -n lib%name
%_libdir/*.so.*
%_libdir/*.la

%files
%doc AUTHORS COPYING.LIB ChangeLog INSTALL NEWS README THANKS
%dir %_datadir/guile/g-wrap
%_datadir/guile/%name/*.scm
%_datadir/guile/g-wrap.scm
%doc /usr/info/*


%changelog
* Sat Dec 14 2002 Vitaly Lipatov <lav@altlinux.ru> 1.3.4-alt1
- change License to LGPL as in sources
- update requires
- remove -Werror from Makefiles via __subst
- new version

* Fri Nov 05 2002 Vitaly Lipatov <lav@altlinux.ru> 1.3.2-alt2
- change requires
- spec cleanup

* Fri Nov 01 2002 Vitaly Lipatov <lav@altlinux.ru> 1.3.2-alt1
- new version
- spec cleanup

* Mon Jan 14 2002 AEN <aen@logic.ru> 1.2.1-alt1
- new version

* Fri Oct 12 2001 AEN <aen@logic.ru> 1.1.10-alt1
- new version 
 
* Wed May 29 2001 AEN <aen@logic.ru> 1.1.9-alt2
- Obsoletes: g-wrap-devel
* Tue May 29 2001 AEN <aen@logic.ru> 1.1.9-alt1
- new version
- libification
- gcc296 patch

* Sat Feb 3 2001 AEN <aen@logic.ru>
- RE adaptation
* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-3mdk
- changed prefix in configure, removed sed...

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-2mdk
- sed on g-wrap

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-1mdk
- new version (necessary with guile-devel 1.4)
- macroszification
- packager tag
- split into lib and devel packages

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.4-2mdk
- automatically added BuildRequires

* Sat Jul 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.9.4-1mdk
- Packaged for Mandrake need for gnucash update.

* Sat May 27 2000 Mark Horning <rip6@rip6.net>
- Created spec file
